# Deploying scalable, resilient systems

To achieve truly reactive systems:

* Deploy your microservices in clusters so that they can scale up or down as required and remain resilient in face of network bottlenecks or failures along with hardware or software errors.
* Make sure that components on which your system relies, such as the Service Gateway and message broker do not expose a single point of failure.
* Use the capabilities of your data store to provide redundancy or replication.

<!---The following diagram shows a typical Lagom deployment. (see slide) -->

See [[Running Lagom in production|ProductionOverview]] and [[Using Lightbend Platform with Lagom|LightbendPlatform]] for more information.
